
Foreman - Feature #3725

Make default root password more explicit and configurable at install time

11/22/2013 10:03 AM - Dominic Cleal

Status: Closed   

Priority: Urgent   

Assignee: Stephen Benjamin   

Category: Security   

Target version: 1.5.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Foreman has a documented default root password configured of "123123", but while this is configurable, it would be improved by

making this more obvious or configurable at installation time.  Perhaps an installer option or a "first boot" type setup for Foreman.

Related issues:

Related to Foreman - Feature #3272: Separate internal admin account from user... Closed 10/16/2013

Related to Foreman - Bug #4167: Password length verification doesn't work Closed 01/23/2014

Related to Foreman - Bug #4977: setting root_pass to empty string from the se... Resolved 03/31/2014

Related to Foreman - Feature #5663: Configure the default root password polic... New 05/11/2014

Associated revisions

Revision c4bfd47f - 02/05/2014 05:24 PM - Stephen Benjamin

fixes #3725, #4167 - root password validations, remove default password

History

#1 - 11/22/2013 10:04 AM - Dominic Cleal

- Related to Feature #3272: Separate internal admin account from user admin accounts added

#2 - 12/17/2013 12:39 PM - Dominic Cleal

We could remove the default password entirely, and require via model validation that the user provides one when creating a host (if not supplied via

settings or a host group).  We then suggest they might want to set this under settings or the host group.

#3 - 01/17/2014 09:12 AM - Dominic Cleal

- Priority changed from Normal to Urgent

#4 - 01/22/2014 04:43 PM - Stephen Benjamin

- Assignee set to Stephen Benjamin

#5 - 01/22/2014 04:57 PM - Dominic Cleal

- Status changed from New to Ready For Testing

- Target version set to 1.9.2

https://github.com/theforeman/foreman/pull/1188

#6 - 01/23/2014 02:40 PM - Stephen Benjamin

- Related to Bug #4167: Password length verification doesn't work added

#7 - 02/05/2014 05:24 PM - Dominic Cleal

- translation missing: en.field_release set to 4

#8 - 02/05/2014 07:31 PM - Anonymous
- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset c4bfd47fc2852bb78618bdad9fe5168e03a38bc1.

#9 - 03/31/2014 04:07 PM - Dominic Cleal

- Related to Bug #4977: setting root_pass to empty string from the settings page breaks foreman added

#10 - 06/04/2014 01:59 PM - Dominic Cleal

- Related to Feature #5663: Configure the default root password policy in 1.5 added
